<?php declare(strict_types=1);
/**
 * @copyright (c) JTL-Software-GmbH
 * @license       http://jtl-url.de/jtlshoplicense
 */

namespace Plugin\css_hazard\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20230118123301
 * @package Plugin\jtl_test\Migrations
 */
class Migration20230118123301 extends Migration implements IMigration   {
    /**
     * @inheritdoc
     */

    public function up()    {
        $this->execute("
	        ALTER TABLE `css_hazardConfig` ADD `showSmallIcons` CHAR(1) NOT NULL DEFAULT 'N' ;
        ");
        $this->execute("
	        ALTER TABLE `css_hazardConfig` ADD `removeBasketMerkmal` CHAR(1) NOT NULL DEFAULT 'N' ;
        ");

    }

    /**
     * @inheritdoc
     */
    public function down() {
    }
}
