<section class="css-panel css-hazard panel-default" id="css-hazard">
    <div class="panel-header">
        <div class="panel-title text-center">
            <h4>{$css_hazard_headline}</h4>
        </div>
    </div>
    <div class="panel-body">
        {if isset($pictogramme->oMerkmalWert_arr) && count($pictogramme->oMerkmalWert_arr)}
            <div class="css-hazard-flexbox">
                {foreach from=$pictogramme->oMerkmalWert_arr item=pictogramm }
                    <div class="css-hazard-flexbox-item top15">
                        <div  class="css-hazard-container">
                            <div class="row">
                                <div class="col css-hazard-pictogramm" >
                                    {$img = $pictogramm->getImage(\JTL\Media\Image::SIZE_XS)}
                                    {if $img !== null && $img|strpos:$smarty.const.BILD_KEIN_MERKMALBILD_VORHANDEN === false
                                    && $img|strpos:$smarty.const.BILD_KEIN_ARTIKELBILD_VORHANDEN === false}
                                        {include file='snippets/image.tpl'
                                        item=$pictogramm
                                        square=false
                                        srcSize='md'
                                        sizes='80px'
                                        width='80'
                                        height='80'
                                        class='img-aspect-ratio'
                                        alt=$pictogramm->getValue()}
                                    {/if}
                                </div>
                                <div class="col">{$oPluginCssHazard->merkmalGetVar($pictogramm,'cBeschreibung')}</div>
                            </div>
                        </div>
                    </div>
                {/foreach}
            </div>
        {/if}

        {if isset($signal->oMerkmalWert_arr) && count($signal->oMerkmalWert_arr)}
            <h5><strong>{$css_hazard_signal_headline}</strong></h5>
            <ul>
                {foreach from=$signal->oMerkmalWert_arr item=item }
                    <li>{$oPluginCssHazard->merkmalGetVar($item,'cBeschreibung')|strip_tags}</li>
                {/foreach}
            </ul>
        {/if}

        {if isset($component->oMerkmalWert_arr) && count($component->oMerkmalWert_arr)}
            <h5><strong>{$css_hazard_component_headline}</strong></h5>
            <ul>
                {foreach from=$component->oMerkmalWert_arr item=item }
                    <li>{$oPluginCssHazard->merkmalGetVar($item,'cBeschreibung')|strip_tags}</li>
                {/foreach}
            </ul>
        {/if}

        {if isset($gefahrenhinweise->oMerkmalWert_arr) && count($gefahrenhinweise->oMerkmalWert_arr)}
            <h5><strong>{$css_hazard_danger_headline}</strong></h5>
            <ul>
                {foreach from=$gefahrenhinweise->oMerkmalWert_arr item=item }
                    <li>{$oPluginCssHazard->merkmalGetVar($item,'cBeschreibung')|strip_tags}</li>
                {/foreach}
            </ul>
        {/if}

        {if isset($sicherheitshinweise->oMerkmalWert_arr) && count($sicherheitshinweise->oMerkmalWert_arr)}
            <h5><strong>{$css_hazard_safety_headline}</strong></h5>
            <ul>
                {foreach from=$sicherheitshinweise->oMerkmalWert_arr item=item }
                    <li>{$oPluginCssHazard->merkmalGetVar($item,'cBeschreibung')|strip_tags}</li>
                {/foreach}
            </ul>
        {/if}
    </div>

    {if $cssHazardConfig->moveBasketButton == 'Y' && $cssHazardConfig->moveBasketButton=='Y'}

        {if ($Artikel->inWarenkorbLegbar == 1 || $Artikel->nErscheinendesProdukt == 1) || $Artikel->Variationen}
            <div id="add-to-cart-clone" class="hidden-print product-buy{if $Artikel->nErscheinendesProdukt} coming_soon{/if} text-right">
            {block name="add-to-cart"}
                {if $Artikel->nErscheinendesProdukt}
                    <div class="{if $Einstellungen.global.global_erscheinende_kaeuflich === 'Y'}alert alert-warning coming_soon{/if} text-center">
                        {lang key="productAvailableFrom" section="global"}: <strong>{$Artikel->Erscheinungsdatum_de}</strong>
                        {if $Einstellungen.global.global_erscheinende_kaeuflich === 'Y' && $Artikel->inWarenkorbLegbar == 1}
                            ({lang key="preorderPossible" section="global"})
                        {/if}
                    </div>
                {/if}
                {if $Artikel->nIstVater && $Artikel->kVaterArtikel == 0}
                    <p class="alert alert-info choose-variations">{lang key="chooseVariations" section="messages"}</p>
                {elseif $Artikel->inWarenkorbLegbar == 1 && !$Artikel->oKonfig_arr}
                    {if !$showMatrix}
                        {block name="basket-form-inline"}
                            <div class="form-inline">
                                <div id="quantity-grp" class="choose_quantity input-group">
                                    <input type="{if $Artikel->cTeilbar === 'Y' && $Artikel->fAbnahmeintervall == 0}text{else}number{/if}" min="0"{if $Artikel->fAbnahmeintervall > 0} required step="{$Artikel->fAbnahmeintervall}"{/if}
                                           id="quantity" class="quantity form-control text-right" name="anzahl"
                                           aria-label="{lang key='quantity'}"
                                           value="{if $Artikel->fAbnahmeintervall > 0}{if $Artikel->fMindestbestellmenge > $Artikel->fAbnahmeintervall}{$Artikel->fMindestbestellmenge}{else}{$Artikel->fAbnahmeintervall}{/if}{else}1{/if}" />
                                    {if $Artikel->cEinheit}
                                        <span class="input-group-addon unit">{$Artikel->cEinheit}</span>
                                    {/if}
                                    <span class="input-group-btn">
                            <button aria-label="{lang key='addToCart'}" name="inWarenkorb-clone" type="submit" value="{lang key='addToCart'}" class="submit btn btn-primary">
                                <span class="">{lang key='addToCart'}</span> <span class="fa fa-shopping-cart "></span>
                            </button>
                        </span>
                                </div>
                            </div>
                        {/block}
                    {/if}
                {/if}
                {if $Artikel->inWarenkorbLegbar == 1 && ($Artikel->fMindestbestellmenge > 1 || ($Artikel->fMindestbestellmenge > 0 && $Artikel->cTeilbar === 'Y') || $Artikel->fAbnahmeintervall > 0 || $Artikel->cTeilbar === 'Y' || (isset($Artikel->FunktionsAttribute[$FKT_ATTRIBUT_MAXBESTELLMENGE]) && $Artikel->FunktionsAttribute[$FKT_ATTRIBUT_MAXBESTELLMENGE] > 0))}
                    <div class="clearfix"></div>
                    <div class="purchase-info alert alert-info top10" role="alert">
                        {assign var="units" value=$Artikel->cEinheit}
                        {if empty($Artikel->cEinheit) || $Artikel->cEinheit|@count_characters == 0}
                            <p>{lang key="units" section="productDetails" assign="units"}</p>
                        {/if}

                        {if $Artikel->fMindestbestellmenge > 1 || ($Artikel->fMindestbestellmenge > 0 && $Artikel->cTeilbar === 'Y')}
                            {lang key="minimumPurchase" section="productDetails" assign="minimumPurchase"}
                            <p>{$minimumPurchase|replace:"%d":$Artikel->fMindestbestellmenge|replace:"%s":$units}</p>
                        {/if}

                        {if $Artikel->fAbnahmeintervall > 0 && $Einstellungen.artikeldetails.artikeldetails_artikelintervall_anzeigen === 'Y'}
                            {lang key="takeHeedOfInterval" section="productDetails" assign="takeHeedOfInterval"}
                            <p>{$takeHeedOfInterval|replace:"%d":$Artikel->fAbnahmeintervall|replace:"%s":$units}</p>
                        {/if}

                        {if $Artikel->cTeilbar === 'Y'}
                            <p>{lang key="integralQuantities" section="productDetails"}</p>
                        {/if}

                        {if isset($Artikel->FunktionsAttribute[$FKT_ATTRIBUT_MAXBESTELLMENGE]) && $Artikel->FunktionsAttribute[$FKT_ATTRIBUT_MAXBESTELLMENGE] > 0}
                            {lang key="maximalPurchase" section="productDetails" assign="maximalPurchase"}
                            <p>{$maximalPurchase|replace:"%d":$Artikel->FunktionsAttribute[$FKT_ATTRIBUT_MAXBESTELLMENGE]|replace:"%s":$units}</p>
                        {/if}
                    </div>
                {/if}
            {/block}
        {/if}
        </div>
    {/if}

</section>

<style>
    #add-to-cart { position:relative;   }
    .css-hazard-info-button { z-index:11; position:relative; margin: 0 ; }
    #paypal-button-productDetails-container { position:relative; z-index:2; }
    .css_hazard-overlay { background-color:#fff; position: absolute; left:0; top:0; right:0; bottom:0; z-index:9; opacity:0.5 }
    .css-hazard h4 {	margin:5px 0 0 }
    .css-hazard {	margin-top:15px;	border:1px solid #dedede;	background-color:#F8F8F8; }
    .css-hazard .panel-header {	border-bottom:1px solid #dedede; }
    .css-hazard .panel-body {	padding:10px; 	background-color:#ffffff; }
    .css-hazard .panel-body h5 { margin-top:15px;	margin-bottom:0;	font-weight:bold;	text-decoration:underline;	padding-bottom:5px; }
</style>
<script>
    $(function() {
        $(document).on("click", ".css-hazard-info-button,.css_hazard-overlay", function() {
            $(".css_hazard-overlay").animate({ opacity: 0 }, function() {
               $(".css_hazard-overlay").remove();
           });
            openmodalHazard();
            return false;
        });
        $(document).on("click", "button[name='inWarenkorb-clone']", function() {
            $("#quantity").val($("#quantity-clone").val());
            $("button[name='inWarenkorb']").trigger("click");
        });
    });
</script>